package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.CameraArea;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.entity.hkwsdto.RegionDetailDto;
import com.huimv.admin.entity.hkwsdto.UnitDto1;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-16
 */
public interface ICameraAreaService extends IService<CameraArea> {
    Result cameraList(Map<String, Object> params);

    Result removeIds(List<Integer> ids);

    Result lsitAndCamera(Integer farmId);

    void sync(Map<String, Integer> params,List<UnitDto1> list);

    void NewSync(Map<String, Integer> params, List<RegionDetailDto> regionDetailDto);
}
